<html>
    <body>
        <form>
            Numerator: <input type="text" id="num"><br>
            Denominator: <input type="text" id="dem"><br>
            <input type="button" onClick="division();" value="Divide">
        </form>
        <p>
            The Result is :
            <span id="result"></span>
        </p>
    </body>
        
    <script>
        function division(){
            num=document.getElementById("num").value;
            dem=document.getElementById("dem").value;
            try{
                if(dem==0){
                    throw("Denominator cannot be 0")
                }
                else{
                    document.getElementById("result").innerHTML=num/dem;
                }
            }
            catch(e){
                document.getElementById("result").innerHTML=("Error: "+e);
            }
        }
    </script>
    
    
</html>